<?php

/**

 *功能：小小贝支付接口-主动查询订单状态接口

 *详细：此demo 代码 使用于 cp 通过主动查询方式 获取同步数据。

 *版本：2.0

 *修改日期：2016-12-15

 * 请求方式:post

 * 流程：mp服务端组装请求参数并对参数签名，以post方式提交请求并获得响应数据，处理得到的响应数据，调用验签函数对数据验签。 

 '说明：

 '以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己的需要，按照技术文档编写,并非一定要使用该代码。

 '该代码仅供学习和研究小小贝计费接口使用，只是提供一个参考。

 */

	require_once ("config.php");

	require_once ("base.php");

	/*

	 *主动查询订单状态接口

	 */		

	function query(){
		global $queryResultUrl, $appkey, $platpkey,$merchantID,$md5key;
		#请求参数
		$SignArr	=	array(
							'merchantID'		=>	$merchantID,				//商户号
							'cporderid'	=>	'00000000',					//商户订单号
						);	
		//组装请求报文  对数据签名		
		$reqData		=	composeRsa($SignArr, $appkey);	//生成含rsa签名的请求数据
		//发送到小小贝服务后台请求调起支付
		$getData  	= 	HttpPost($queryResultUrl,$reqData);
		if(!parseResp($getData,$platpkey)) {
			echo "failed";
			exit($getData);	
		}else{
			//请求成功输出返回报文
			exit($getData);	
		}	
	}
	query();
?>

